<?php

namespace App\Console\Commands\Administration\Contacts;

use App\Jobs\Contacts\MarkSubmissionRead;
use App\Transports\Information\ID;

use Illuminate\Console\Command;

class MarkSubmissionReadCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'admin-contacts:mark-read {clusterId} {id}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Marks a contact submission as read';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        if (MarkSubmissionRead::dispatchNow( new ID(
			$this->argument('id'),
			$this->argument('clusterId')
		)))
		{
			$this->comment('marked as read');
		}
		else
		{
			$this->warn('no matching record found');
		}
    }
}
