<?php

namespace App\Console\Commands\Administration\Contacts;

use App\Jobs\Contacts\UnreadSubmissionCount;

use Illuminate\Console\Command;

class UnreadSubmissionCountCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'admin-contacts:unread-count';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Displays number of unread contact submissions';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->comment('# unread contact submissions: ' . UnreadSubmissionCount::dispatchNow());
    }
}
