<?php

namespace App\Console\Commands\Administration\DefunctRecords\Deleted\Replicated;

use App\Jobs\Administration\DefunctRecords\Deleted\Replicated\RemoveLocalClusterDeletedRecords as Job;

use Illuminate\Console\Command;

class RemoveLocalClusterDeletedRecordsCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'admin-clean:deleted-local {table}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Remove deleted local cluster replicated records';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        Job::dispatchNow($this->argument('table'));
    }
}
