<?php

namespace App\Console\Commands\Administration\DefunctRecords;

use App\Jobs\Administration\DefunctRecords\RemoveOldSeriesRecords as Job;

use Illuminate\Console\Command;

class RemoveOldSeriesRecordsCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'admin-clean:series {baseTable}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Remove old auto-increment records';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        Job::dispatchNow($this->argument('baseTable'));
    }
}
