<?php

namespace App\Console\Commands\Administration\Devices;

use App\Jobs\Devices\ListDevices;

use Illuminate\Console\Command;

class ListPendingDevicesCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'admin-devices:list {--pending} {searchTerm?}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Lists user devices. searchTerm can be the cluster_id or beginning of the device hash';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        print_r(ListDevices::dispatchNow(
			$this->argument('searchTerm'),
			$this->option('pending')
		));
    }
}
