<?php

namespace App\Console\Commands\Administration\Information;

use App\Jobs\Information\Database\Statistics;

use Illuminate\Console\Command;

class DatabaseStatisticsCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'admin-info:records';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Displays base statistics for: # users, # devces, # deleted users, # channels, # content items, # and size of attachments';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        print_r(Statistics::dispatchNow());
    }
}
