<?php

namespace App\Http\Controllers\Api\Accounts;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Accounts\CreateAccount;
use App\Jobs\Accounts\AddOwner;
use App\Jobs\Users\BuildUserTransport;
use App\Transports\Information\Description;
use App\Transports\Accounts\CreationInformation as AccountCreationInformation;
use App\Transports\Users\User;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class CreateAccountController extends Controller
{
    public function create(Request $request)
	{
		$account = CreateAccount::dispatchNow(new AccountCreationInformation(
			new Description(
				$request->input('title'),
				$request->input('description')
			)
		));
		$user = BuildUserTransport::dispatchNow($request->user()->toArray(), $request->getUserDataKeys());
		return response()->json($user = AddOwner::dispatchNow($account, $user));
	}
}
