<?php

namespace App\Http\Controllers\Api\Authentication;

use App\Enums\Encryption\StringEncryptionAlgorithmsEnum;
use App\Jobs\Authentication\SignInKnownDevice as SignInJob;
use App\Traits\Strings\Encryption\UnlockEncryptedRequestKeysTraits;
use App\Transports\Authentication\AuthenticationCredentials;
use App\Transports\Information\DeviceInformation;
use App\Transports\Users\UserAuthCredentials;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SignInKnownController extends Controller
{
	use UnlockEncryptedRequestKeysTraits;
	
    public function signIn(Request $request)
	{
		if ($keys = SignInJob::dispatchNow(new AuthenticationCredentials(
			new UserAuthCredentials(
				$request->input('email'),
				$request->input('password'),
				$request->input('phrase')
			),
			new DeviceInformation(
				$request->server('REMOTE_ADDR'),
				$request->server('HTTP_USER_AGENT'),
				$request->input('deviceHash')
			)
		)))
		{
			return response()
				->json(
					(object)[
//						'keys' => $this->encryptByStringKey(
//							(object)[
//								'apiToken' => $keys->apiToken,
//								'userEncryptionKey' => $keys->userEncryptionKey,
//								'userLookupHash' => $keys->userLookupHash,
//							],
//							$keys->deviceServerCryptoKey,
//							timestamp(),
//							true,
//							StringEncryptionAlgorithmsEnum::MAX_COMPATABILITY
//						)
						'keys' => (object)[
								'apiToken' => $keys->apiToken,
								'userEncryptionKey' => $keys->userEncryptionKey,
								'userLookupHash' => $keys->userLookupHash,
							]
					],
					self::HTTP_STATUS_SUCCESS,
					['Authorization' => 'Bearer ' . $keys->apiToken]
				);
		}
		abort(401);
	}
}
