<?php

namespace App\Http\Controllers\Api\Authentication;

use App\Enums\Encryption\StringEncryptionAlgorithmsEnum;
use App\Jobs\Authentication\SignInUnknownDevice as SignInJob;
use App\Transports\Authentication\AuthenticationCredentials as Credentials;
use App\Transports\Information\DeviceInformation;
use App\Transports\Users\UserAuthCredentials;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SignInUnknownController extends Controller
{
    public function signIn(Request $request)
	{
		if ($keys = SignInJob::dispatchNow(
			new Credentials(
				new UserAuthCredentials(
					$request->input('email'),
					$request->input('password'),
					$request->input('phrase')
				),
				new DeviceInformation(
					$request->server('REMOTE_ADDR'),
					$request->server('HTTP_USER_AGENT')
				)
			)
		))
		{
			return response()
				->json((object)[
					'apiToken' => 'Bearer ' . $keys->device->bearerToken,
					'deviceHash' => $keys->device->deviceHash,
					'deviceServerCryptoKey' => $keys->deviceServerCryptoKey,
					'userEncryptionKey' => $keys->userEncryptionKey,
					'userLookupHash' => $keys->userLookupHash
				]);
		}
		abort(401);
	}
}
