<?php

namespace App\Http\Controllers\Api\Channels;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Channels\BuildChannelObject;
use App\Jobs\Invitations\SendChannelInvitations;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class InvitationsController extends Controller
{
    public function send(Request $request)
	{
		$channelHash = $request->route('channelHash');
		$channel = BuildChannelObject::dispatchNow(
			$request->getUserDataKeys(),
			$request->user()->toArray(),
			$channelHash
		);
		SendChannelInvitations::dispatch($channel, $request->input('invitations'));
		return response()->json(['status' => 'success']);
	}
}
