<?php

namespace App\Http\Controllers\Api\Content\Attachments;

use App\Events\Content\NewAttachmentCreatedEvent;
use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Content\SaveAttachment;
use App\Jobs\UnlockPivotEncryptedInfo\GetChannelKeys;
use App\Transports\Content\AttachmentMeta;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SaveAttachmentController extends Controller
{
	/**
	 * 
	 * @param array $attachment
	 * @return string
	 */
	protected function getLargestAttachmentPreview($attachmentPreviews)
	{
		$sizes = ['large', 'medium', 'thumbnail', 'preview', 'icon'];
		foreach ($sizes as $size)
		{
			if (array_key_exists($size, $attachmentPreviews))
			{
				return $attachmentPreviews[$size];
			}
		}
	}
	
	/**
	 * 
	 * @param Request $request
	 * @return mixed
	 */
    public function save(Request $request)
	{
		$channelHash = $request->route('channelHash');
//		$userDataKeys = $request->getUserDataKeys();
//		$user = $request->user();
//		$channelKeys = GetChannelKeys::dispatchNow(
//			$userDataKeys,
//			$user->toArray(),
//			$channelHash
//		);
//		
//		$attachment = $request->input('meta');
//		$attachmentMeta = new AttachmentMeta(
//			$attachment['name'],
//			$attachment['size'],
//			$attachment['type'],
//			$attachment['additionalMeta']
//		);
//		
//		$attachmentId = SaveAttachment::dispatchNow(
//			$attachmentMeta,
//			$request->route('attachmentHash'),
//			$request->input('data'),
//			$channelKeys->publicKey,
//			$this->getLargestAttachmentPreview($request->input('sizes'))
//		);
//		
//		event(new NewAttachmentCreatedEvent($attachmentMeta));
//		
//		return response()
//			->json($attachmentId);
		
		$attachmentId = SaveAttachment::dispatchNow(
			$request->input('encryptedMeta'),
			$request->route('attachmentHash'),
			$request->input('encryptedContent'),
			$request->input('expirationDate')
//			$request->input(preview)
		);
		
		//[TODO] event to check account quotas. pass in channel, attachment id, attachment size
		//[TODO] event to broadcast the attachment info, including the preview but not the original
		
		return response()
			->json($attachmentId);
	}
}
