<?php

namespace App\Http\Controllers\Api\Content;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Content\SaveContent;
use App\Jobs\Content\SaveSearchHashes;
use App\Jobs\UnlockPivotEncryptedInfo\GetChannelKeys;
use App\Traits\Strings\Hashes\HashGeneratorHelperTraits;
use App\Transports\Content\AttachmentMetaContentPreview;
use App\Transports\Content\ContentMeta;
use App\Transports\Content\CreationInformation as ContentCreationInformation;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SubmitContentController extends Controller
{
	use HashGeneratorHelperTraits;

	public function submit(Request $request)
	{
		$channelHash = $request->route('channelHash');

		$content = SaveContent::dispatchNow(
			$request->input('encryptedContent'),
			$request->input('encryptedMeta'),
			$request->getUserDataKeys()->userLookupHash,
			$channelHash,
			$request->input('contentSeed'),
			$request->input('expirationDate')
		);

		SaveSearchHashes::dispatchNow(
			$channelHash,
			$content->id,
			$request->input('expirationDate'),
			$request->input('searchHashes')
		);
		
		// [TODO content return is for testing only]
		return response()
			->json($content);
	}
}
