<?php

namespace App\Http\Controllers\Api\Invitations;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Invitations\Accept\AcceptChannelInvitation;
use App\Jobs\Invitations\DismissInvitation;
use App\Transports\Users\Profile as UserProfile;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class InvitationController extends Controller
{
	public function accept(Request $request)
	{
		switch ($request->route('type'))
		{
			case 'channels':
				return response()
					->json(AcceptChannelInvitation::dispatchNow(
						$request->getUserDataKeys(),
						$request->user()->toArray(),
						$request->route('token'),
						new UserProfile(
							$request->input('nickName'),
							$request->input('icon')
						)
					));
		}
	}
	
    public function dismiss(Request $request)
	{
		return response()
			->json(DismissInvitation::dispatch(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->route('token')
			));
	}
}
