<?php

namespace App\Http\Controllers\Api\Invitations;

use App\Http\Requests\Users\UserStubRegistrationRequest as Request;
use App\Jobs\Users\RegisterUserStub;
use App\Transports\Encryption\Users\UserDataKeys;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class UserStubRegistrationController extends Controller
{
    public function register(Request $request)
	{
		$user = RegisterUserStub::dispatchNow(
			$request->input('emailHash'),
			$request->input('userEncryptionKey'),
			$request->input('password'),
			$request->input('phrase')
		);
		
		return response()
			->json(
				new UserDataKeys(
					$user->userEncryptionKey,
					$user->hashes->lookup,
					$user->authHashes->email
				),
				self::HTTP_STATUS_SUCCESS,
				['Authorization' => 'Bearer ' . $user->apiToken]
			);
	}
}
