<?php

namespace App\Http\Controllers\Api\My;

use App\Http\Controllers\Controller;
use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\My\Devices\MyDevicesChangeDetails;
use App\Jobs\My\MyDevices;

//use Illuminate\Http\Request;

class DevicesController extends Controller
{
	/**
	 * @return collection
	 */
    public function list(Request $request)
	{
		return response()
			->json(MyDevices::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray()
			));
	}
	
	/**
	 * 
	 * @param Request $request
	 */
	public function report(Request $request)
	{
		// [TODO]
	}
	
	/**
	 * 
	 * @param Request $request
	 */
	public function changeDetails(Request $request)
	{
		return MyDevicesChangeDetails::dispatchNow(
			$request->getUserDataKeys(),
			$request->user()->toArray(),
			$request->input('device_hash'),
			$request->input('device_description'),
			$request->input('device_status')
		);
	}
}
