<?php

namespace App\Http\Controllers\Api\Users;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Users\Preferences\LoadPreferences;
use App\Jobs\Users\Preferences\SavePreferences;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class PreferencesController extends Controller
{
    public function load(Request $request)
	{
		$preferences = LoadPreferences::dispatchNow(
			$request->getUserDataKeys(),
			$request->user()->toArray()
		);
		return response()
			->json($preferences);
	}
	
	public function save(Request $request)
	{
		return SavePreferences::dispatchNow(
			$request->getUserDataKeys(),
			$request->user()->toArray(),
			$request->input('preference'),
			$request->input('value')
		);
	}
}
