<?php

namespace App\Http\Controllers\Api\Users;

use App\Http\Requests\Authentication\AuthenticatedRequest as Request;
use App\Jobs\Users\Profiles\LoadProfile;
use App\Jobs\Users\Profiles\SaveProfile;

//use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ProfileController extends Controller
{	
    public function load(Request $request)
	{
		return response()
			->json(LoadProfile::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray()
			));
	}
	
	public function save(Request $request)
	{
		return response()
			->json(SaveProfile::dispatchNow(
				$request->getUserDataKeys(),
				$request->user()->toArray(),
				$request->input('icon'),
				$request->input('nickName')
			));
	}
}
