<?php

namespace App\Http\Middleware;

use App\Jobs\Encryption\TestEncryptionTimestamp;
use App\Traits\Strings\Encryption\UnlockEncryptionRequestKeysTraits;

use Closure;

class CheckHeaderEncryptionTimestamp
{
	use UnlockEncryptionRequestKeysTraits;
	
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
		$encryptionKeys = $this->unlockRequestHeaderKeys($request);
		if (TestEncryptionTimestamp::dispatchNow($encryptionKeys, timestamp()))
		{
			return $next($request);
		}
		abort(400);
    }
}
