<?php

namespace App\Http\Middleware;

use Closure;

class ControlAllowOrigin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        return $next($request)
			->header(
				'Access-Control-Allow-Origin',
				env('ACCESS_CONTROL_ALLOW_ORIGIN')
			)
			->header(
				'Access-Control-Allow-Methods',
				'DELETE, GET, OPTIONS, PATCH, POST, PUT'
			)
			->header(
				'Access-Control-Allow-Headers',
				'Accept, Accept-Encoding, Accept-Language, Authorization, Content-Type, EmailHash, Host, Origin, X-Requested-With, User-Agent, UserEncryptionKey, UserLookupHash'
			);
    }
}
