<?php

namespace App\Http\Middleware;

use App\Interfaces\Constants\DeviceConstants;
use App\Interfaces\Constants\HttpResponseConstants;
use App\Jobs\Logs\LogFailedValidationRouteAccess;

use App\Facades\Utilities\Users\Preferences;

use Closure;

class DevicePreferenceChecks implements DeviceConstants, HttpResponseConstants
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
		$user = $request->user();
		if ($user->device_status == self::DEVICE_STATUS_ALLOW)
		{
			return $next($request);
		}
		LogFailedValidationRouteAccess::dispatch(
			$request->route()->uri,
			self::class,
			$request->server('REMOTE_ADDR'),
			($request->user()) ? $request->user()->device_hash : ''
		);
		abort(self::HTTP_STATUS_AUTHENTICATION_FORBIDDEN);
    }
}
