<?php

namespace App\Http\Middleware\Logs;

use App\Interfaces\Constants\RequestConstants;
use App\Jobs\Logs\LogUnprotectedRouteAccess;
use App\Traits\Strings\Hashes\HashGeneratorHelperTraits;

use Closure;

class UnprotectedRoutes
{
	use HashGeneratorHelperTraits;
	
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
		LogUnprotectedRouteAccess::dispatch(
			$request->route()->uri,
			$this->hash($request->server(RequestConstants::REQUEST_REMOTE_ADDRESS)),
			($request->user()) ? $request->user()->device_hash : ''
		);
		
        return $next($request);
    }
}
