<?php

namespace App\Http\Requests\Channels;

use App\Enums\Channels\ChannelRolesEnum;
use App\Http\Requests\Authentication\AuthenticatedRequest as FormRequest;

class UpdateRolesRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
           'roles'	=> 'in:' . implode(',', [ChannelRolesEnum::administrator, ChannelRolesEnum::member])
        ];
    }
}
