<?php

namespace App\Http\Requests\Contacts;

use App\Jobs\Contacts\GenerateSubmissionKey;

use Illuminate\Foundation\Http\FormRequest;

class ContactSubmissionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
		$originalSeed = base64_decode($this->input('submissionKeySeed'));
		$validSubmissionKey = GenerateSubmissionKey::dispatchNow($originalSeed);
        return [
            'title'			=> 'string|required',
			'description'	=> 'string|nullable',
			'additional'	=> 'string|nullable',
			'type'			=> 'string|in:' . implode(',', config('contact.contactTypes')),
			'languageCode'	=> 'string|size:' . config('contact.languageCode.length'),
			'submissionKey'	=> 'string|in:' . $validSubmissionKey
        ];
    }
}
