<?php

namespace App\Interfaces\Repositories;

use App\Interfaces\Repositories\Base\BaseAbstractPivotRepository;

use DB;

class AccountChannelsAbstractRepository extends BaseAbstractPivotRepository
{
    // ##########
    // standard table info
    /**
     * @var string $table
     */
    protected $table = 'account_channels';
	
	/**
	 * 
	 * @param string $accountHash
	 * @return string
	 */
	public function getAccountChannels($accountHash)
	{
		return $this->getEncryptedRecordInfo('encrypted_info', ['account_hash' => $accountHash]);
	}
	
	/**
	 * 
	 * @param string $channelHash
	 * @param string $userHash
	 * @return boolean
	 */
	public function userIsChannelOwner($channelHash, $userHash)
	{
		return $this->filterByActive()
			->join('account_owners', $this->explicitField('account_hash'), '=', 'account_owners.account_hash')
			->select(DB::raw('1'))
			->where('account_owners.active', true)
			->whereNull('account_owners.deleted_at')
			->where('channel_hash', $channelHash)
			->where('user_hash', $userHash)
			->get()->count();
	}
}