<?php

namespace App\Interfaces\Repositories;

use App\Interfaces\Repositories\Base\BaseReplicatedAbstractRepository;

class AttachmentAbstractRepository extends BaseReplicatedAbstractRepository
{
    protected $table = 'attachments';
	
	/**
	 * 
	 * @param string $attachmentHash
	 */
	public function getOriginal($attachmentHash)
	{
		return $this->filterByFields([
				'attachment_hash' => $attachmentHash
			])->select('encrypted_meta', 'encrypted_file')
			->first();
	}
	
	/**
	 * 
	 * @param string $attachmentHash
	 * @return string
	 */
	public function getPreview($attachmentHash)
	{
		return $this->filterByFields(['attachment_hash' => $attachmentHash])
			->select('encrypted_preview')
			->first()
			->encrypted_preview;
	}
}