<?php

namespace App\Interfaces\Repositories\Base\Administration;

use App\Interfaces\Repositories\Base\Administration\BaseSynchronizedAbstractRepository;

/**
 * Description of BaseExpiringAbstractRepository
 *
 * @author Scott Kerns
 */
class BaseExpiringAbstractRepository extends BaseSynchronizedAbstractRepository {
	
	//################################################################################
	//################################################################################
	//################################################################################
	// PROTECTED PROPERTIES
	
	protected $expiresField = 'expires_at';
	
	//################################################################################
	//################################################################################
	//################################################################################
	// PUBLIC METHODS
	
	/**
	 * @return integer
	 */
	public function removeExpiredRecords()
	{
		return $this->initializeTable()
			->whereNotNull($this->expiresField)
			->where($this->expiresField, '<', $this->formatDate())
			->delete();
	}
}
