<?php

namespace App\Interfaces\Repositories\Base\Administration;

use App\Interfaces\Repositories\Base\BaseAbstractRepositoryUtilities as Utilities;

use DB;

/**
 * Description of BaseSynchronizedAbstractRepository
 *
 * @author Scott Kerns
 */
class BaseSynchronizedAbstractRepository extends Utilities {
	//################################################################################
	//################################################################################
	//################################################################################
	// PROTECTED PROPERTIES
	
	/**
	 *
	 * @var string $table
	 */
	protected $table = '';
	
	
	//################################################################################
	//################################################################################
	//################################################################################
	// PROTECTED METHODS
	
	/**
	 * 
	 * @return QueryBuilder
	 */
	protected function initializeTable()
	{
		return DB::table($this->table);
	}
	 
	//################################################################################
	//################################################################################
	//################################################################################
	// PUBLIC METHODS
	
	/**
	 * @return integer
	 */
	public function removeOldDeletedLocalRecords()
	{
		return $this->initializeTable()
			->where(['last_cluster_id' => env('SYNCHRONIZATION_CLUSTER_ID')])
			->whereNotNull('deleted_at')
			->where('deleted_at', '<', $this->addDays(- config('replication.explicitelyDeleted.maxAgeDays')))
			->delete();
	}
	
	/**
	 * 
	 * @return integer
	 */
	public function removeDeletedForeignRecords()
	{
		return $this->initializeTable()
			->where('last_cluster_id', '<>', env('SYNCHRONIZATION_CLUSTER_ID'))
			->whereNotNull('deleted_at')
			->delete();
	}
}
