<?php

namespace App\Interfaces\Repositories\Base;

use App\Interfaces\Repositories\Base\BaseReplicatedAbstractRepository;
use App\Transports\Information\ID;

class BaseLogAbstractRepository extends BaseReplicatedAbstractRepository {
	/**
	 * @method insert
	 * @param array $fields
	 * @return mixed
	 */
	public function insert(Array $fields = [])
	{
		$clusterId = $this->getCurrentClusterId();
		$fields = $this->populateReplicationFields($fields);
		$fields['cluster_id'] = $clusterId;
		$fields['server_identifier'] = env('SERVER_IDENTIFIER');
		$increment = $this->initializeTable()
			->insertGetId($fields);
		return new ID($increment, $clusterId);
	}
}
