<?php

namespace App\Interfaces\Repositories;

use App\Interfaces\Repositories\Base\BaseAbstractRepository;

abstract class DataMigrationAbstractRepository extends BaseAbstractRepository
{
	/**
	 * @var string $table
	 */
	protected $table = 'system_data_migrations';

	/**
	 * @method filterByActive
	 * @return QueryBuilder
	 */
	protected function filterByActive()
	{
		return $this->initializeTable();
	}

	/**
	 * @method getLastMigration
	 * @return object
	 */
	public function getLastMigration()
	{
		$migration = $this->initializeTable()
			->select('migration')
			->latest('id')
			->first();

		return
			($migration)
			? $migration->migration
			: null;
	}

	/**
	 * @method deleteByMigrationClass
	 * @param string $migrationClass
	 */
	public function deleteByMigrationClass($migrationClass)
	{
		return $this->initializeTable()
			->where('migration', $migrationClass)
			->delete();
	}
}