<?php

namespace App\Interfaces\Repositories;

use App\Enums\Devices\DeviceStatusesEnum;
use App\Interfaces\Repositories\Base\BaseReplicatedAbstractRepository;

use DB;

class DeviceConfirmationViewAbstractRepository extends BaseReplicatedAbstractRepository
{
    // ##########
    // standard table info
    /**
     * @var string $table
     */
    protected $table = 'view_device_confirmations';
	
	
	//################################################################################
	//################################################################################
	//################################################################################
	// PROTECTED METHODS
	
	/**
	 * @method filterByActive
	 * @return QueryBuilder
	 */
	protected function filterByActive()
	{
		return parent::filterByActive()
			->where([
				'confirmation_active' => true,
				'device_active' => true,
				'used' => false
			])->where('expires_at', '>=', $this->getCurrentTimestamp());
	}
	
	
	//################################################################################
	//################################################################################
	//################################################################################
	// PUBLIC METHODS
	
	/**
	 * 
	 * @param string $deviceHash
	 * @param string $token
	 * @return boolean
	 */
//	public function confirmToken($deviceHash, $token)
//	{
//		$timestamp = $this->getCurrentTimestamp();
//		return DB::table($this->table)
//			->where([
//				'device_hash' => $deviceHash,
//				'token' => $token
//			])
//			->limit(1)
//			->update([
//				'confirmation_updated_at' => $timestamp,
//				'device_status' => DeviceStatusesEnum::ALLOWED,
//				'device_updated_at' => $timestamp,
//				'used' => true
//			]);
//	}
	
	/**
	 * 
	 * @param string $deviceHash
	 * @param string $token
	 * @return boolean
	 */
	public function confirmationIsValid($deviceHash, $token)
	{
		return $this->filterByActive([
			'device_hash'	=> $deviceHash,
			'token'			=> $token
		])->get()->count();
	}
}