<?php

namespace App\Interfaces\Repositories\Logs;

use App\Interfaces\Repositories\Base\BaseLogAbstractRepository;

class PublicChannelActivityAbstractRepository extends BaseLogAbstractRepository
{	
	//################################################################################
	//################################################################################
	//################################################################################
	// PROTECTED PROPERTIES
	
    /**
     * @var boolean replicatedTable
     */
    protected $replicatedTable = true;
    
    /**
     * @var string $table
     */
    protected $table = 'log_public_channel_activity';
	
	/**
	 *
	 * @var string $activityViewName
	 */
	protected $activityViewName = 'view_public_channel_activity';
	
	
	//################################################################################
	//################################################################################
	//################################################################################
	// PUBLIC METHODS
	
	/**
	 * 
	 * @param integer $maxRecords
	 * @return recordset
	 */
	public function getTopActivity($maxRecords = null)
	{
		return DB::table($this->activityViewName)
			->limit($this->getMaxNumberRecords($maxRecords))
			->get();
	}
}