<?php

namespace App\Interfaces\Utilities\String;

use App\Interfaces\Repositories\SystemLanguageAbstractRepository as LanguageRepository;

abstract class CurrentLanguageAbstractUtility
{
	/**
	 * @var object $currentLanguage
	 */
	protected $currentLanguage;

	/**
	 * @var LanguageRepository $languageRepository
	 */
	protected $languageRepository;

	public function __construct(LanguageRepository $languageRepository)
	{
		$this->languageRepository = $languageRepository;
	}

	public function set($code = 'en')
	{
		$this->currentLanguage = $this->languageRepository
			->getByCode($code);
	}

	public function get()
	{
		return ($this->currentLanguage)
			? $this->currentLanguage
			: (object)['id' => 1];
	}

	public function getId()
	{
		return $this->get()->id;
	}
}