<?php

namespace App\Jobs\Administration\DefunctRecords\Deleted\Replicated;

use App\Interfaces\Repositories\Administration\GenericReplicatedRepository as Repository;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class RemoveLocalClusterDeletedRecords implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
	
	/**
	 *
	 * @var string $table
	 */
	protected $table;

    /**
	 * 
	 * @param string $table
	 */
    public function __construct($table)
    {
        $this->table	= $table;
    }

    /**
	 * 
	 * @param Repository $repository
	 */
    public function handle(Repository $repository)
    {
        $repository->setTable($this->table);
		$repository->removeOldDeletedLocalRecords();
    }
}
