<?php

namespace App\Jobs\Administration\DefunctRecords;

use App\Interfaces\Repositories\Administration\SeriesRepository as Repository;
use App\Traits\Database\DatabaseSchemaHelperTraits;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class RemoveOldSeriesRecords implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels,
		DatabaseSchemaHelperTraits;
	
	/**
	 *
	 * @var string $baseTable
	 */
	protected $baseTable;

    /**
	 * 
	 * @param string $baseTable
	 */
    public function __construct($baseTable)
    {
        $this->baseTable	= $baseTable;
    }

    /**
	 * 
	 * @param Repository $repository
	 */
    public function handle(Repository $repository)
    {
        return $repository->removeOldIncrements($this->getSeriesTableName($this->baseTable));
    }
}
