<?php

namespace App\Jobs\Graphics\Icons\GeneratedIcons;

use App\Graphics\IconGenerators\VectorGenerators\AbstractIconGenerator;
use App\Graphics\IconGenerators\VectorGenerators\AbstractIconLayerGenerator;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class GenerateAbstractVectorIcon
{
    use Dispatchable, SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
	 * 
	 * @param AbstractIconGenerator $iconGenerator
	 * @param AbstractIconLayerGenerator $layerGenerator
	 * @return object
	 */
    public function handle(AbstractIconGenerator $iconGenerator, AbstractIconLayerGenerator $layerGenerator)
    {
        $primaryColor = $iconGenerator->hslaColors->primaryColor();
		$numberLayers = $iconGenerator->randomNumberLayers();
		$workingTemplate = $iconGenerator->newTemplate($primaryColor);
		$layerGenerator->setPrimaryColor($primaryColor);
		for ($i = 0; $i < $numberLayers; $i++)
		{
			$workingTemplate->layers[] = $layerGenerator->generate();
		}
		return $workingTemplate;
    }
}
