<?php

namespace App\Jobs\Logs;

use App\Interfaces\Repositories\Logs\PublicChannelActivityAbstractRepository as LogRepository;
use App\Transports\Information\ID;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class LogChannelActivity implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
	 *
	 * @var ID $channelId
	 */
	protected $channelId;
	
	/**
	 *
	 * @var string activity
	 */
	protected $activity;

    /**
	 * 
	 * @param ID $channelId
	 * @param type $activity
	 * @return void
	 */
    public function __construct(ID $channelId, $activity)
    {
		$this->id		= $id;
		$this->activity	= $activity;
    }

    /**
	 * 
	 * @param LogRepository $logRepository
	 */
    public function handle(LogRepository $logRepository)
    {
        $logRepository->insert([
			'channel_cluster_id'	=> $this->id->clusterId,
			'channel_id'			=> $this->id->id,
			'activity'				=> $this->activity
		]);
    }
}
