<?php

namespace App\Jobs\Logs;

use App\Interfaces\Repositories\Logs\FailedValidationRoutesAbstractRepository as LogRepository;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class LogFailedValidationRouteAccess implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
	 *
	 * @var string $route
	 */
	protected $route;
	
	/**
	 *
	 * @var string $middleware
	 */
	protected $middleware;
	
	/**
	 *
	 * @var string $ip
	 */
	protected $ip;
	
	/**
	 *
	 * @var string $deviceHash
	 */
	protected $deviceHash;

    /**
	 * 
	 * @param string $route
	 * @param string $middleware
	 * @param string $ip
	 * @param string $deviceHash
	 * @return void
	 */
    public function __construct($route, $middleware, $ip, $deviceHash = '')
    {
		$this->route		= $route;
		$this->middleware	= $middleware;
		$this->ip			= $ip;
        $this->deviceHash	= $deviceHash;
    }

    /**
	 * 
	 * @param LogRepository $logRepository
	 */
    public function handle(LogRepository $logRepository)
    {
        $logRepository->insert([
			'route'			=> $this->route,
			'middleware'	=> $this->middleware,
			'ip'			=> $this->ip,
			'device_hash'	=> $this->deviceHash
		]);
    }
}
