<?php

namespace App\Jobs\Logs;

use App\Interfaces\Repositories\Logs\MiscRoutesAbstractRepository as LogRepository;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;

class LogMiscRouteAccess implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
	 *
	 * @var string $route
	 */
	protected $route;
	
	/**
	 *
	 * @var string $ipHash
	 */
	protected $ipHash;
	
	/**
	 *
	 * @var string $deviceHash
	 */
	protected $deviceHash;

    /**
	 * 
	 * @param string $route
	 * @param string $ipHash
	 * @param string $deviceHash
	 * @return void
	 */
    public function __construct($route, $ipHash, $deviceHash = '')
    {
		$this->route		= $route;
		$this->ipHash		= $ipHash;
        $this->deviceHash	= $deviceHash;
    }

    /**
	 * 
	 * @param LogRepository $logRepository
	 */
    public function handle(LogRepository $logRepository)
    {
        $logRepository->insert([
			'route'			=> $this->route,
			'ip_hash'		=> $this->ipHash,
			'device_hash'	=> $this->deviceHash
		]);
    }
}
