<?php

namespace App\Traits\Conversions;

use App\Transports\Information\CommonRecordInfo;
use App\Transports\Information\CommonRecordInfoReturn;

/**
 * Description of ConversionHelperTraits
 *
 * @author Scott Kerns
 */
trait ConversionHelperTraits {
	/**
	 * 
	 * @param mixed $target CommonRecordInfo or array of CommonRecordInfo
	 * @return mixed
	 */
	public function convertCommonRecordInfoForReturn($target)
	{
		if (is_array($target))
		{
			return array_map(
				function ($item)
				{
					return new CommonRecordInfoReturn(
						$item->lookupHash,
						$item->description,
						$item->id
					);
				},
				$target
			);
		}
		else
		{
			return new CommonRecordInfoReturn(
				$target->lookupHash,
				$target->description,
				$target->id
			);
		}
	}
	
	public function instantiateClassFromStandardObject($className, $standardObject)
	{
		$parameters = array_values(get_object_vars($standardObject));
		$reflection = new \ReflectionClass($className);
		$constructorParameters = $reflection->getMethod('__construct')->getParameters();
		foreach( $constructorParameters as $index => $parameter)
		{
			if (is_object($parameters[$index]) && $parameterClassName = $parameter->getClass()->name)
			{
				$parameters[$index] = $this->instantiateClassFromStandardObject(
					$parameterClassName,
					$parameters[$index]
				);
			}
		}
		//return new $className(...array_values(get_object_vars($standardObject)));
		return new $className(...$parameters);
	}
}
