<?php

namespace App\Traits\Strings\Encryption;

use App\Traits\Strings\Encryption\EncryptionHelperTraits;
use App\Transports\Information\KeyPair;

/**
 * Description of EncryptionGeneratorHelperTraits
 *
 * @author Scott Kerns
 */
trait EncryptionGeneratorHelperTraits {
	use EncryptionHelperTraits;
	
	/**
	 * @return resource
	 */
	protected function encryptionGeneratorGenerateKeySet()
	{
		$algorithm = config('encryption.publicPrivateKeys.algorithm');
		return openssl_pkey_new(
			config("encryption.publicPrivateKeys.$algorithm.generation")
		);
	}
	
	/**
	 * 
	 * @param resource $keySet
	 * @return string
	 */
	protected function encryptionGeneratorExtractPrivateKey($keySet)
	{
		$privateKey = '';
		openssl_pkey_export($keySet, $privateKey);
		return $privateKey;
	}
	
	/**
	 * 
	 * @param resource $keySet
	 * @return string
	 */
	protected function encryptionGeneratorExtractPublicKey($keySet)
	{
		return openssl_pkey_get_details($keySet)['key'];
	}
	
	/**
	 * 
	 * @return KeyPair
	 */
	public function generateKeyPair()
	{
		$keySet = $this->encryptionGeneratorGenerateKeySet();
		$keyPair = new KeyPair(
			$this->encryptionGeneratorExtractPublicKey($keySet),
			$this->encryptionGeneratorExtractPrivateKey($keySet)
		);

		return $keyPair;
	}
	
	/**
	 * @retun string
	 */
//	public function generateStringEncryptionKey()
//	{
//		$algorithm = config('encryption.stringKeys.algorithm');
//		$length = config("encryption.stringKeys.$algorithm.maxLength");
//		return $this->generateRandomString($length, $length, true);
//	}
}
