<?php

namespace App\Traits\Strings\Encryption;

use App\Enums\Encryption\StringEncryptionAlgorithmsEnum;
use App\Traits\Strings\Encryption\EncryptionHelperTraits;
use App\Transports\Encryption\Users\UserDataKeys;

use Illuminate\Http\Request;

trait UnlockEncryptedRequestKeysTraits {
	use EncryptionHelperTraits;
	
	/**
	 * 
	 * @param Request $request
	 * @return UserDataKeys
	 */
	protected function unlockRequestHeaderKeys(Request $request)
	{
		if ($user = $request->user())
		{
//			if (
//				$keys = $this->decryptByStringKey(
//					$request->header('EncryptedUserKeys'),
//					$user->device_server_crypto_key,
//					true,
//					StringEncryptionAlgorithmsEnum::MAX_COMPATABILITY
//				)
//			)
//			{
//				return new UserDataKeys(
//					(isset($keys->UserEncryptionKey)) ? $keys->UserEncryptionKey : null,
//					(isset($keys->UserLookupHash)) ? $keys->UserLookupHash : null,
//					(isset($keys->DeviceHash)) ? $keys->DeviceHash : null
//				);
//			}
			$keys = json_decode($request->header('EncryptedUserKeys'));
			$userDataKeys = new UserDataKeys(
				(isset($keys->UserEncryptionKey)) ? $keys->UserEncryptionKey : null,
				(isset($keys->UserLookupHash)) ? $keys->UserLookupHash : null,
				(isset($keys->DeviceHash)) ? $keys->DeviceHash : null
			);
			return $userDataKeys;
		}
	}
}
