<?php

namespace App\Transports\Accounts;

use App\Transports\Information\Description;
use App\Transports\Information\EncryptionKeys;
use App\Transports\Information\Hashes;
use App\Transports\Information\ID;

/**
 * Description of Account
 *
 * @author Scott Kerns
 */
class Account {
	/**
	 *
	 * @var Hashes $hashes
	 */
	public $hashes;
	
	/**
	 *
	 * @var EncryptionKeys $keys
	 */
	public $keys;
	
	/**
	 *
	 * @var integer $accountTypeId
	 */
	public $accountTypeId;
	
	/**
	 *
	 * @var Description $description
	 */
	public $description;
	
	/**
	 *
	 * @var string $settings
	 */
	public $settings;
	
	/**
	 *
	 * @var ID $id
	 */
	public $id;
	
	/**
	 * 
	 * @param Hashes $hashes
	 * @param EncryptionKeys $keys
	 * @param type $accountTypeId
	 * @param Description $description
	 * @param string $settings
	 * @param ID $id
	 */
	public function __construct(
		Hashes $hashes,
		EncryptionKeys $keys,
		$accountTypeId = 0,
		Description $description = null,
		$settings = '',
		ID $id = null
	)
	{
		$this->hashes			= $hashes;
		$this->keys				= $keys;
		$this->accountTypeId	= $accountTypeId;
		$this->description		= $description;
		$this->settings			= $settings;
		$this->id				= $id;
	}
}
