<?php

namespace App\Transports\Channels;

use App\Transports\Information\Description;
use App\Transports\Information\Hashes;
use App\Transports\Information\EncryptionKeys;
use App\Transports\Information\ID;

/**
 * Description of Channel
 *
 * @author Scott Kerns
 */
class Channel {
	/**
	 *
	 * @var Hashes $hashes
	 */
	public $hashes;
	
	/**
	 *
	 * @var EncryptionKeys $keys
	 */
	public $keys;
	
	/**
	 *
	 * @var Description $privateDescription
	 */
	public $privateDescription;
	
	/**
	 *
	 * @var string $icon
	 */
	public $icon;
	
	/**
	 *
	 * @var integer $channelTypeId
	 */
	public $channelTypeId;
	
	/**
	 *
	 * @var integer $searchable
	 */
	public $searchable;
	
	/**
	 *
	 * @var Description $searchableDescription
	 */
	public $searchableDescription;
	
	/**
	 *
	 * @var ID $id
	 */
	public $id;
	
	/**
	 *
	 * @var integer contentExpiresDays
	 */
	public $contentExpiresDays;
	
	/**
	 * 
	 * @param Hashes $hashes
	 * @param EncryptionKeys $keys
	 * @param Description $privateDescription
	 * @param string $icon
	 * @param integer $channelTypeId
	 * @param boolean $searchable
	 * @param Description $searchableDescription
	 * @param ID $id
	 * @param integer $contentExpiresDays
	 */
	public function __construct(
		Hashes $hashes,
		EncryptionKeys $keys,
		Description $privateDescription,
		$icon = '',
		$channelTypeId = 0,
		$searchable = false,
		Description $searchableDescription,
		ID $id = null,
		$contentExpiresDays = 0
	) {
		$this->hashes					= $hashes;
		$this->keys						= $keys;
		$this->privateDescription		= $privateDescription;
		$this->icon						= $icon;
		$this->channelTypeId			= $channelTypeId;
		$this->searchable				= $searchable;
		$this->searchableDescription	= $searchableDescription;
		$this->id						= $id;
		$this->contentExpiresDays		- $contentExpiresDays;
	}
}
