<?php

namespace App\Transports\Channels;

use App\Transports\Information\Description;

/**
 * Description of CreationInformation
 *
 * @author Scott Kerns
 */
class CreationInformation {
	
	/**
	 *
	 * @var string $encryptionKey
	 */
	public $encryptionKey;
	
	/**
	 *
	 * @var Description $privateDescription
	 */
	public $privateDescription;
	
	/**
	 *
	 * @var string $icon
	 */
	public $encryptedIcon;
	
	/**
	 *
	 * @var boolean $searchable
	 */
	public $searchable;
	
	/**
	 *
	 * @var Description $searchableDescription
	 */
	public $searchableDescription;
	
	/**
	 *
	 * @var integer $contentExpiresInDays 
	 */
	public $contentExpiresInDays;
	
	/**
	 *
	 * @var integer $typeId
	 */
	public $typeId;
	
	/**
	 * 
	 * @param string $encryptionKey
	 * @param Description $privateDescription
	 * @param string $icon
	 * @param boolean $searchable
	 * @param Description $searchableDescription
	 * @param integer $contentExpiresInDays
	 * @param integer $typeId
	 */
	public function __construct(
		$encryptionKey,
		Description $privateDescription,
		$icon = '',
		$searchable = false,
		Description $searchableDescription = null,
		$contentExpiresInDays = 0,
		$typeId = 0
	)
	{
		$this->encryptionKey			= $encryptionKey;
		$this->privateDescription		= $privateDescription;
		$this->encryptedIcon			= $icon;
		$this->searchable				= $searchable;
		$this->searchableDescription	= $searchableDescription;
		$this->contentExpiresInDays		= $contentExpiresInDays;
		$this->typeId					= $typeId;
	}
}
