<?php

namespace App\Transports\Content;

/**
 * Description of AttachmentMeta
 *
 * @author Scott Kerns
 */
class AttachmentMeta {
	/**
	 *
	 * @var string $name
	 */
	public $name;
	
	/**
	 *
	 * @var string size
	 */
	public $size;
	
	/**
	 *
	 * @var string $type
	 */
	public $type;
	
	/**
	 *
	 * @var array $additionalMeta
	 */
	public $additionalMeta = [];
	
	/**
	 * 
	 * @param string $attachmentLookupHash
	 * @param string $name
	 * @param string $size
	 * @param string $type
	 * @param string $data
	 * @param array $additionalMeta
	 */
	public function __construct(
		$name,
		$size,
		$type,
		array $additionalMeta = []
	)
	{
		$this->name					= $name;
		$this->size					= $size;
		$this->type					= $type;
		$this->additionalMeta		= $additionalMeta;
	}
	
	public function jsonSerialize()
	{
		return (object)[
			'name' => $this->name,
			'size' => $this->size,
			'mime' => $this->type,
			'additionalMeta' => $this->additionalMeta
		];
	}
}
