<?php

namespace App\Transports\Content;

use App\Transports\Content\ContentMeta;
use App\Transports\Information\ID;

/**
 * Description of Content
 *
 * @author Scott Kerns
 */
class Content {
	/**
	 *
	 * @var mixed $content
	 *
	 */
	public $content;
	
	/**
	 *
	 * @var string $meta
	 */
	public $meta;

	/**
	 *
	 * @var ID $id
	 *
	 */
	public $id;
	
	/**
	 *
	 * @var mixed $createdAt
	 */
	public $createdAt;

	/**
	 *
	 * @param string $content
	 * @param string $meta
	 * @param ID $id
	 *
	 */
	public function __construct($content, $meta, ID $id = null, $createdAt = null)
	{
		$this->content	= $content;
		$this->meta		= $meta;
		$this->id		= $id;
	}

	public function jsonSerialize()
	{
		return (object)[
			'encrypted_content'	=> $this->content,
			'encrypted_meta'	=> $this->meta,
			'id'				=> $this->id,
			'created_at'		=> $this->createdAt
		];
	}
}
