<?php

namespace App\Transports\Content;

/**
 * Description of ContentMeta
 *
 * @author Scott Kerns
 */
class ContentMeta {
	/**
	 *
	 * @var type $authorHash
	 */
	public $authorHash;
	
	/**
	 *
	 * @var array $attachments
	 * array of App\Transports\Content\AttachmentMeta
	 */
	public $attachments;
	
	/**
	 *
	 * @var array $previews
	 */
	public $previews;
	
	/**
	 *
	 * @var array $additionalInfo
	 */
	public $additionalInfo = [];
	
	/**
	 * 
	 * @param string $authorHash
	 * @param array $attachments
	 * @param array $additionalInfo
	 */
	public function __construct($authorHash, array $attachments = [], array $previews = [], array $additionalInfo = [])
	{
		$this->authorHash		= $authorHash;
		$this->attachments		= $attachments;
		$this->previews			= $previews;
		$this->additionalInfo	= $additionalInfo;
	}

	/**
	 * 
	 * @return mixed
	 */
	public function jsonSerialize()
	{
		return (object)[
			'authorHash'		=> $this->authorHash,
			'attachments'		=> $this->attachments,
			'previews'			=> $this->previews,
			'additionalInfo'	=> $this->additionalInfo
		];
	}
}
