<?php

namespace App\Transports\Encryption;

use JsonSerializable;

/**
 * Description of UserDataKeys
 *
 * @author Scott Kerns
 */
class NewDeviceKeys implements JsonSerializable{
	
	/**
	 *
	 * @var string $userEncryptionKey
	 */
	public $userEncryptionKey;
	
	/**
	 *
	 * @var string $userLookupHash
	 */
	public $userLookupHash;
	
	/**
	 *
	 * @var string $deviceHash
	 */
	public $deviceHash;
	
	/**
	 *
	 * @var seed $deviceServerCryptoKey
	 */
	public $deviceServerCryptoKey;
	
	/**
	 * 
	 * @param string $userEncryptionKey
	 * @param string $userLookupHash
	 * @param string $deviceHash
	 * @param string $deviceServerCryptoKey
	 */
	public function __construct($userEncryptionKey, $userLookupHash, $deviceHash, $deviceServerCryptoKey)
	{
		$this->userEncryptionKey	= $userEncryptionKey;
		$this->userLookupHash		= $userLookupHash;
		$this->deviceHash			= $deviceHash;
		$this->deviceServerCryptoKey		= $deviceServerCryptoKey;
	}
	
	/**
	 * 
	 * @return object
	 */
	public function jsonSerialize()
	{
		return (object)[
			'userEncryptionKey'	=> $this->userEncryptionKey,
			'userLookupHash'	=> $this->userLookupHash,
			'deviceHash'		=> $this->deviceHash,
			'deviceServerCryptoKey'		=> $this->deviceServerCryptoKey
		];
	}
}
