<?php

namespace App\Transports\Information;

use App\Transports\Information\Description;
use App\Transports\Information\ID;

/**
 * Description of CommonRecordInfo
 *
 * @author Scott Kerns
 */
class CommonRecordInfo {
	/**
	 *
	 * @var Description $description
	 */
	public $description;
	
	/**
	 *
	 * @var string $lookupHash
	 */
	public $lookupHash;
	
	/**
	 *
	 * @var string $privateKey
	 */
	public $privateKey;
	
	/**
	 * 
	 * @param string $lookupHash
	 * @param string $privateKey
	 * @param Description $description
	 * @param ID $id
	 */
	public function __construct(
		$lookupHash,
		$privateKey,
		Description $description = null,
		ID $id = null
	) {
		$this->lookupHash	= $lookupHash;
		$this->privateKey	= $privateKey;
		$this->description	= $description;
		$this->id			= $id;
	}
	
	public function jsonSerialize()
	{
		return (object)[
			'lookupHash'	=> $this->lookupHash,
			'privateKey'	=> $this->privateKey,
			'description'	=> $this->description,
			'id'			=> $this->id
		];
	}
}
