<?php

namespace App\Transports\Information;

use App\Transports\Information\Description;
use App\Transports\Information\ID;

/**
 * Description of CommonRecordInfoReturn
 *
 * @author Scott Kerns
 */
class CommonRecordInfoReturn {
	/**
	 *
	 * @var Description $description
	 */
	public $description;
	
	/**
	 *
	 * @var ID $id
	 */
	public $id;
	
	/**
	 *
	 * @var string $lookupHash
	 */
	public $lookupHash;
	
	/**
	 *
	 * @var array $additional
	 */
	public $additional;
	
	/**
	 * 
	 * @param string $lookupHash
	 * @param Description $description
	 * @param ID $is
	 * @param array $additional
	 */
	public function __construct(
		$lookupHash,
		Description $description = null,
		ID $id = null,
		array $additional = []
	) {
		$this->lookupHash	= $lookupHash;
		$this->description	= $description;
		$this->id			= $id;
		$this->additional	= $additional;
	}
	
	public function jsonSerialize()
	{
		return (object)[
			'lookupHash'	=> $this->lookupHash,
			'description'	=> $this->description,
			'id'			=> $this->id,
			'additional'	=> $this->additional,
		];
	}
}
