<?php

namespace App\Transports\Information;

use App\Transports\Information\KeyPair;

/**
 *
 * @author Scott Kerns
 */
class EncryptionKeys {
	
	/**
	 *
	 * @var KeyPair $keyPair
	 */
	public $keyPair;
	
	/**
	 *
	 * @var string $stringKey
	 */
	public $stringKey;
	
	/**
	 *
	 * @var string $deviceServerCryptoKey
	 */
	public $deviceServerCryptoKey;
	
	/**
	 * 
	 * @param KeyPair $keyPair
	 * @param string $stringKey
	 * @param string $deviceServerCryptoKey
	 */
	public function __construct(KeyPair $keyPair, $stringKey, $deviceServerCryptoKey = '') {
		$this->keyPair					= $keyPair;
		$this->stringKey				= $stringKey;
		$this->deviceServerCryptoKey	= $deviceServerCryptoKey;
	}
	
	public function jsonSerialize()
	{
		return (object)[
			'keyPair'				=> $this->keyPair,
			'stringKey'				=> $this->stringKey,
			'deviceServerCryptoKey'	=> $this->deviceServerCryptoKey
		];
	}
}
