<?php

namespace App\Transports\Users;

use App\Transports\Information\EncryptionKeys;
use App\Transports\Information\Hashes;
use App\Transports\Information\ID;
use App\Transports\Users\AuthenticationHashes;
use App\Transports\Users\Details;

/**
 * Description of User
 *
 * @author Scott Kerns
 */
class User {
    /**
     *
     * @var Hashes $hashes
     */
    public $hashes;
    
    /**
     *
     * @var EncryptionKeys $keys
     */
    public $keys;
    
    /**
     *
     * @var Details $details
     */
    public $details;
    
    /**
     *
     * @var AuthenticationHashes $authHashes
     */
    public $authHashes;
    
    /**
     *
     * @var string $userEncryptionKey
     */
    public $userEncryptionKey;
    
    /**
     *
     * @var ID $id
     */
    public $id;
    
    /**
     * 
     * @param AuthenticationHashes $hashes
     * @param EncryptionKeys $keys
     * @param Details $details
     * @param AuthenticationHashes $hashes
     * @param string $userEncryptionKey
     * @param ID $id
     */
    public function __construct(
        Hashes $hashes,
        EncryptionKeys $keys,
        Details $details,
        AuthenticationHashes $authHashes,
        $userEncryptionKey = '',
        ID $id = null
    )
    {
        $this->hashes				= $hashes;
        $this->keys					= $keys;
        $this->details				= $details;
        $this->authHashes			= $authHashes;
        $this->userEncryptionKey	= $userEncryptionKey;
        $this->id					= $id;
    }
}
