export default
{
	data()
	{
		return {
			learnMoreExpanded: false
		}
	},
	props: {
		classes: {
			default()
			{
				return [];
			},
			type: [Array, String]
		},
		lookup: {
			required: true,
			type: String
		},
		type: {
			default: 'standard',
			type: String,
			validator(value){
				return -1 !== [
					'',
					'highlight',
					'standard',
					'warning'
				].indexOf(value);
			}
		}
	},
	computed: {
		calloutClasses()
		{
			let baseClasses = ['callout'];
			switch (this.type)
			{
				case 'highlight':
					baseClasses.push('primary');
					break;
				case 'warning':
					baseClasses.push('warning');
					break;

			}
			return this.$utilities.arrays.combine(baseClasses, this.classes); 
		},
		currentToggleClass()
		{
			return (this.learnMoreExpanded) ? 'content-icon icon-cheveron-up' : 'content-icon icon-cheveron-down';
		},
		learnMore()
		{
			return this.$i18n.t('callouts.' + this.lookup + '.learnMore');
		}
	},
	methods: {
		toggleLearnMore(event)
		{
			event.preventDefault();
			this.learnMoreExpanded = ! this.learnMoreExpanded;
		}
	}
}