export default
{
	props: {
		classes: {
			default: function (){
				return [];
			},
			type: [Array, String]
		},
		icon: {
			type: String
		},
		lookup: {
			required: true,
			type: String
		},
		type: {
			default: 'button',
			type: String
		}
	},
	computed:
	{
		buttonClass: function ()
		{
			return this.$utilities.arrays.combine(['button'], this.classes);
		},

		iconClass: function ()
		{
			return (this.icon) ? ('button-icon button-icon-' + this.icon) : '';
		}
	},
	methods: {
		click(event)
		{
			this.$emit('click', event);
		}
	}
}