export default
{
	data()
	{
		return {
			attachments: [],
			description: '',
			title: '',
		}
	},

	props: {
		shouldFocus: {
			default: false,
			required: false,
			type: Boolean
		}
	},

	methods: {
		dropdownToggle(event)
		{
			event.preventDefault();
		},

		resetForm()
		{
			this.$refs.description.reset();
			this.$refs.dragAndDropComponent.reset();
			this.$refs.title.reset();
		},

		focus()
		{
			// TODO: this.$refs is empty when the page is refreshed
			if ('title' in this.$refs) {
				this.$refs.title.focus();
			}
		},

		submit(event)
		{
			event.preventDefault();
			if (this.title || this.description || this.attachments.length)
			{
				this.$emit('comment', {
					attachments: this.attachments,
					content: {
						description: this.description,
						title: this.title
					}
				});
			}
		}
	},

	mounted() {
		if (this.shouldFocus) {
			this.focus();
		}
	}
}