export default {
	data()
	{
		return {
			link: '',
			alt: '',

			linkId: this.$utilities.strings.uniqueStrings.generate('link-input-id'),
			altId: this.$utilities.strings.uniqueStrings.generate('link-alt-id')
		}
	},

	props: {
		id: {
			required: true,
			type: String
		}
	},

	methods: {
		reset()
		{
			this.link = this.alt = '';
		},

		useLink(event)
		{
			event.preventDefault();
			const options = {
				link: this.link,
				alt: this.alt
			};
			this.$emit('change', {
				command: 'Image',
				options: options
			});
		}
	},

	mounted()
	{
		$(this.$el).foundation();
	}
}