export default {
	data()
	{
		return {
			link: '',
			text: '',

			linkId: this.$utilities.strings.uniqueStrings.generate('link-input-id'),
			textId: this.$utilities.strings.uniqueStrings.generate('link-text-id')
		}
	},

	props: {
		id: {
			required: true,
			type: String
		},
		showText: {
			default: false,
			required: false,
			type: Boolean
		}
	},

	methods: {
		reset()
		{
			this.link = this.text = '';
		},

		useLink(event)
		{
			event.preventDefault();
			const options = {
				link: this.link,
				text: this.text || this.link
			};
			this.$emit('change', {
				command: 'Link',
				options: options
			});
		}
	},

	mounted()
	{
		$(this.$el).foundation();
	}
}