import { Node, mergeAttributes } from '@tiptap/core'
import Paragraph from '@tiptap/extension-paragraph';

const Emoji = Paragraph.extend({
  name: 'emoji',
  content: 'paragraph',

  addOptions() {
    return {
      HTMLAttributes: {
        'data-type': 'character'
      },
    }
  },

  parseHTML() {
    return [
      { tag: 'span' },
    ]
  },

  addCommands() {
    return {
      setEmoji: () => ({ commands }) => {
        return commands.setNode(this.name)
      },
    }
  },

  addKeyboardShortcuts() {
    return {
      'Mod-Alt-0': () => this.editor.commands.setEmoji(),
    }
  }
});

export default Emoji