const Node = function (handlerName, nodeData)
{
	//################################################################################
	//################################################################################
	//################################################################################
	// PROTECTED PROPERTIES

	const thisNode = this;

	//################################################################################
	//################################################################################
	//################################################################################
	// PUBLIC PROPERTIES

	/**
	 * @var {array} children
	 * array of lines for block markup
	 */
	thisNode.children = [];
	/**
	 * @var {string} data
	 * name of command | content
	 */
	thisNode.data = nodeData;
	/**
	 * @var {string} nodeType
	 * 'command' | 'content'
	 */
	thisNode.handlerName = handlerName;
	/**
	 * @var {object} options
	 */
	thisNode.options = {};
	
	//################################################################################
	//################################################################################
	//################################################################################
	// PUBLIC METHODS

	/**
	 * @method {string} line 
	 */
	thisNode.addChild = function (line){
		thisNode.children.push(line);
	}
	/**
	 * 
	 * @method {string} value 
	 * @method {string | undefined} name
	 * if name is not provided is set to 'default'
	 */
	thisNode.addOption = function (value, name){
		thisNode.options[name || 'default'] = value;
	}

	/**
	 * 
	 * @method {string} data 
	 */
	thisNode.setData = function (data){
		thisNode.data = data;
	}
}

export default Node