import DomBuilder from './dom-builder.js';
import Tokenizer from './text-editor-tokenizer.js';

export default {
	data() {
		return {
			container: null
		}
	},

	props: {
		content: {
			default: '',
			required: false,
			type: String
		}
	},

	methods: {
		domChanged()
		{

		},
		
		render(content)
		{
			const thisRenderer = this,
				domContainer = document.createElement('div'),
				tokenizer = new Tokenizer(content),
				domBuilder = new DomBuilder(domContainer);
			while (! tokenizer.EOF())
			{
				let node = tokenizer.next();
				domBuilder.handle(node);
			}
			thisRenderer.container.innerHTML = '';
			thisRenderer.container.appendChild(domContainer);
		}
	},

	mounted() {
		this.container = this.$el;
		this.render(this.content);
	}
}