export default
{
	props: {
		step: {
			required: true,
			type: Number
		},
		stepCalloutLookup: {
			default: '',
			type: String
		},
		thisStep: {
			default: 1,
			type: Number
		},
		totalNumberSteps: {
			required: true,
			type: Number
		}
	},
	computed: {
		contentLookups()
		{
			return {
				title: 'stepCallouts.' + stepCalloutLookup + '.title',
				summary: 'stepCallouts.' + stepCalloutLookup + '.summary',
				description: 'stepCallouts.' + stepCalloutLookup + '.description'
			};
		},

		percentComplete()
		{
			return (this.thisStep) ? ((this.thisStep - 0.25) / this.totalNumberSteps * 100) : (this.thisStep / this.totalNumberSteps * 75);
		}
	},
	methods: {
		goBack(event)
		{
			this.$emit('setStep', this.step - 1);
		},

		validateAndStep(event)
		{
			event.preventDefault();
			if (this.step == this.totalNumberSteps)
			{
				this.$emit('wizardComplete', event);
			}
			else
			{
				this.$emit('setStep', this.step + 1);
			}
		}
	}
}