export default
{
	data()
	{
		return {
			isChecked: this.$attrs.checked ? true : false,
			isMounted: false
		}
	},

	props: {
		classes: {
			type: Array
		},
		id: {
			required: true,
			type: String
		},
		onlyEmitAfterMounted: {
			default: false,
			type: Boolean
		},
		required: {
			default: false,
			type: Boolean
		}
	},

	computed:
	{
		checkboxClass()
		{
			return this.$utilities.arrays.combine(['switch-input'], this.classes);
		}
	},

	methods: {
		propagateInput(isChecked)
		{
			this.$emit('input', isChecked, this.isMounted);
			this.$emit('change', isChecked, this.isMounted);
		},

		toggleChecked()
		{
			this.isChecked = ! this.isChecked;
			this.propagateInput(this.isChecked);
		}
	},

	mounted()
	{
		if (! this.onlyEmitAfterMounted)
		{
			this.propagateInput(this.$attrs.checked ? true : false);
		}
		this.$emit('mounted');
		this.isMounted = true;
	}
}