export default
{
	props: {
		accept: {
			default: '',
			type: String
		},
		attachments: {
			default()
			{
				return [];
			},
			type: Array
		},
		attachmentLimit: {
			default: 10,
			type: Number
		},
		classes: {
			default: '',
			type: [Array, String]
		},
		id: {
			type: String
		},
		multiple: {
			default: true,
			type: Boolean
		},
		pluginOptions: {
			default()
			{
				return {plugins: {image: true}, images: {sizes: ['preview', 'medium']}};
			},
			type: Object
		},
		sizes: {
			default(){
				return ['preview', 'medium'];
			},
			type: Array
		}
	},

	methods: {
		dropFiles(event)
		{
			event.preventDefault();

			this.$utilities.localFile.iterateFiles(event, this.pluginOptions).then((files) => {
				files.forEach((file) => {
					this.attachments.push(file);
				});
			});
		},

		fileChangeHandler(event)
		{
			this.$utilities.localFile.iterateFiles(event, this.pluginOptions).then((files) => {
				files.forEach((file) => {
					this.attachments.push(file);
				});
			});
		},
		
		removeFileFromSelection(index)
		{
			this.attachments.splice(index, 1);
		},

		reset()
		{
			while (this.attachments.length)
			{
				this.attachments.pop();
			}
		}
	}
}