export default
{
	data()
	{
		return {
			resampledIcon: null
		}
	},

	props: {
		accept: {
			default: '.gif, .jpg, .jpeg, .png, .svg',
			type: String
		},
		classes: {
			default: '',
			type: [Array, String]
		},
		id: {
			default: '',
			type: String
		},
		required: {
			default: false,
			type: Boolean
		},
		sizes: {
			default()
			{
				return ['preview'];
			},
			type: Array
		}
	},

	methods: {
		fileSelectionChanged(files)
		{
			const thisComponent = this;

			if (files && files.length)
			{
				const options = {plugins: {image: true}, images: {sizes: this.sizes}};
				this.$utilities.localFile.load(files[0], options).then((icon) => {
					this.resampledIcon = icon;
					this.$emit('change', icon);
				});
			}
		},

		reset()
		{
			this.$el.value = '';
			this.$emit('change', '');
		}
	}
}