const READY_STATE_DONE = 2;

export default
{
	props: {
		accept: {
			default: '.txt,.text,.csv',
			type: String
		},
		classes: {
			type: [Array, String]
		},
		id: {
			type: String
		},
		multiple: {
			default: false,
			type: Boolean
		},
		required: {
			default: false,
			type: Boolean
		},
		value: {
			default: ''
		}
	},

	methods: {
		fileSelectionChanged(event)
		{
			const thisComponent = this;

			if (event && event.target && event.target.files && event.target.files.length)
			{
				this.propagateValue(event.target.files);
			}
		},

		propagateValue(value)
		{
			this.$emit('change', value);
		},

		reset()
		{
			this.$el.value = '';
			this.propagateValue('');
		}
	}
}