// import settings from '../../../../../../settings.js';
import GeneratedIconUtilities from '../generated-icon-utilities.js';
import LayerGenerator from '../generator-classes/layer-generator.js';

export default {
	data(){
		return {
			currentDrawingInstructions: {},
			// iconSettings: settings.generatedIcons,
			primaryColor: {},
			generatorUtilities: new GeneratedIconUtilities
		}
	},

	props: {
		startingDrawingInstructions: {
			default: null,
			required: false,
			type: [Object, String]
		}
	},

	methods: {
		generate()
		{
			const thisGenerator = this,
				ctx = this.drawingContext,
				primaryColor = thisGenerator.generatorUtilities.colors.hsla.generators.primaryColor(),
				numberLayers = thisGenerator.generatorUtilities.template.randomNumberLayers(),
				workingTemplate = thisGenerator.generatorUtilities.template.newTemplate(primaryColor),
				layerGenerator = new LayerGenerator(primaryColor);
			for (let i = 0; i < numberLayers; i++) {
				workingTemplate.layers.push(layerGenerator.generate());
			}
			thisGenerator.currentDrawingInstructions = workingTemplate;
			thisGenerator.$refs.preview.render(workingTemplate);
		},

		previewReady()
		{
			if (this.startingDrawingInstructions)
			{
				this.$preview.render(this.startingDrawingInstructions);
			}
			else
			{
				this.generate();
			}
		},

		previewRendered(base64Image)
		{
			this.$emit('generatedIcon', {
				instructions: this.currentDrawingInstructions,
				imageData: base64Image
			});
		}
	}
}