import settings from '../../../../../../settings.js';
const iconSettings = settings.generatedIcons;
import GeneratedIconUtilities from '../generated-icon-utilities.js';
import LayerRenderer from '../generator-classes/layer-renderer.js';

export default {
	data(){
		return {
			canvas: null,
			drawingContext: null,
			generatorUtilities: new GeneratedIconUtilities,
			iconSettings: null
		}
	},

	methods: {
		render(drawingInstructions)
		{
			const thisPreview = this,
				layerRenderer = new LayerRenderer(this.canvas);
			const targetDrawing = (typeof drawingInstructions === 'string') ? JSON.parse(drawingInstructions) : drawingInstructions;
			thisPreview.resetCanvas();
			layerRenderer.renderBackground(targetDrawing.meta.colorSpace.background);
			targetDrawing.layers.forEach((layer) => {
				layerRenderer.renderLayer(layer);
			});
			this.$emit('rendered', this.canvas.toDataURL('image/png'));
		},

		resetCanvas()
		{
			const thisPreview = this;
			thisPreview.canvas.height = iconSettings.dimensions.height;
			thisPreview.canvas.width = iconSettings.dimensions.width;
		}
	},

	mounted(){
		this.canvas = this.$el;
		this.drawingContext = this.$el.getContext('2d');
		this.canvas.height = iconSettings.dimensions.height;
		this.canvas.width = iconSettings.dimensions.width;
		this.$emit('ready');
	}
}