import settings from '../../../../../settings.js';
import DrawingTemplate from './generator-classes/drawing-template.js';
import HslaColors from './generator-classes/colors-hsla.js';

const GeneratedIconUtilities = function ()
{
	const thisUtilities = this;

	thisUtilities.colors = {
		hsla: new HslaColors
	}

	/**
	 * 
	 * @returns array
	 */
	thisUtilities.getAvailableShapes = function ()
	{
		const shapes = [];
		for (let shape in settings.generatedIcons.shapes)
		{
			shapes.push(shape);
		}
		return shapes;
	}

	/**
	 * 
	 * @param {number} min 
	 * @param {number} max 
	 * @param {boolean|undefined} toInt 
	 */
	thisUtilities.getRandomConstrainedValue = function (min, max, toInt)
	{
		const value = Math.random() * (max - min) + min;
		return (toInt) ? parseInt(value) : value;
	}

	thisUtilities.template = new DrawingTemplate;
}

export default GeneratedIconUtilities