import settings from '../../../../../../settings.js';
import HslaColors from './colors-hsla.js';

const DrawingTemplate = function ()
{
	const thisTemplate = this,
		iconSettings = settings.generatedIcons,
		hslaColors = new HslaColors;

	/**
	 * 
	 * @param {object} hslaPrimaryColor
	 * @returns object
	 */
	thisTemplate.newTemplate = function (hslaPrimaryColor)
	{
		return {
			meta: {
				coordinates: {
					x: {min: -100, max: 100},
					y: {min: -100, max: 100}
				},
				dimensions: {
					height: iconSettings.dimensions.height,
					width: iconSettings.dimensions.width
				},
				colorSpace: {
					type: {
						name: 'hsla',
						measurements: {
							hue: 'deg',
							saturation: 'percent',
							lightness: 'percent',
							alpha: 'percent'
						}
					},
					primaryColor: hslaPrimaryColor,
					background: hslaColors.generators.backgroundColor(hslaPrimaryColor)
				},
				units: {h: '%', w: '%', x: '%', y: '%', r: '%'}
			},
			layers: []
		}
	}

	/**
	 * @returns integer
	 */
	thisTemplate.randomNumberLayers = function ()
	{
		const max = iconSettings.layers.max,
			min = iconSettings.layers.min;
		return parseInt(Math.random() * (max - min) + min);
	}

	/**
	 * @param {string} templateString
	 * @returns object
	 */
	thisTemplate.stringToTemplate = function (templateString)
	{

	}

	/**
	 * 
	 * @param {object} templateObject
	 * @returns string
	 */
	thisTemplate.templateToString = function (templateObject)
	{

	}
}

export default DrawingTemplate