export default {
	data()
	{
		return {
			content: this.value
		}
	},

	props: {
		classes: {
			required: false,
			type: [Array, String]
		},
		id: {
			default: '',
			required: false,
			type: String
		},
		list: {
			required: true,
			type: Array
		},
		multiselect: {
			default: false,
			required: false,
			type: Boolean
		},
		required: {
			default: false,
			required: false,
			type: Boolean
		},
		value: {
			default: '',
			type: [Array, Number, String]
		}
	},

	methods: {
		change()
		{
			this.propagateValue(this.content);
		},

		propagateValue(value)
		{
			this.$emit('input', value);
		},

		reset(value)
		{
			this.content = this.$el.value || '';
			this.propagateValue(this.content);
		}
	}
}