export default
{
	data()
	{
		return {
			password: this.value
		};
	},

	props: {
		classes: {
			type: [Array, String]
		},
		id: {
			type: String
		},
		maxLength: {
			default: 255,
			required: false,
			type: Number
		},
		placeholder: {
			default: '',
			type: String
		},
		preventFormSubmission: {
			default: false,
			type: Boolean
		},
		required: {
			default: false,
			type: Boolean
		},
		value: {
			default: ''
		}
	},

	methods: {
		focus()
		{
			$(this.$el).focus();
		},

		getClass()
		{
			return this.$utilities.arrays.combine(['button'], this.classes);
		},

		handleInput(event)
		{
			event.preventDefault;
			this.propagateValue(this.password);
		},

		propagateValue(value)
		{
			this.$refs.input.content = value;
			this.$emit('input', value);
		},

		reset(value)
		{
			this.password = this.$el.value = value || '';
			this.propagateValue(value);
		}
	}
}