export default
{
	data()
	{
		return {
			content: this.value
		};
	},

	props: {
		classes: {
			type: [Array, String]
		},
		id: {
			type: String
		},
		maxLength: {
			default: 255,
			required: false,
			type: Number
		},
		placeholder: {
			default: '',
			type: String
		},
		preventFormSubmission: {
			default: false,
			type: Boolean
		},
		required: {
			default: false,
			type: Boolean
		},
		type: {
			default: 'text',
			type: String
		},
		value: {
			default: ''
		}
	},

	computed: {
		computedPlaceholder()
		{
			return (this.placeholder) ? this.$i18n.t('inputPlaceholders.' + this.placeholder) : '';
		}
	},

	methods: {
		focus()
		{
			$(this.$el).focus();
		},

		handleInput(event)
		{
			event.preventDefault;
			this.propagateValue(this.content);
		},

		handleKeyDown(event)
		{
			if (this.preventFormSubmission && event.keyCode == this.$utilities.globalConstants.keyCodes.enterKey)
			{
				event.preventDefault();
				this.$emit('content', event, this.content);
			}
			this.$emit('keydown', event, this.content);
		},

		handleKeyUp(event)
		{
			if (this.preventFormSubmission && event.keyCode == this.$utilities.globalConstants.keyCodes.enterKey)
			{
				event.preventDefault();
				this.$emit('content', event, this.content);
			}
			this.$emit('keyup', event, this.content);
		},

		propagateValue(value)
		{
			this.$emit('input', value);
		},

		reset(value)
		{
			this.content = this.$el.value = value || '';
			this.propagateValue(this.content);
		}
	}
}