export default
{
	data()
	{
		return {
			content: this.value
		};
	},

	props: {
		classes: {
			type: [Array, String]
		},
		cols: {
			default: '',
			type: [Number, String]
		},
		disabled: {
			default: false,
			required: false,
			type: Boolean
		},
		id: {
			type: String
		},
		maxlength: {
			required: false,
			default: 2048,
			type: Number
		},
		required: {
			default: false,
			type: Boolean
		},
		rows: {
			default: '',
			type: [Number, String]
		},
		value: {
			default: ''
		}
	},

	methods: {
		handleInput(event)
		{
			this.propagateValue(this.content);
		},

		propagateValue(value)
		{
			this.$emit('input', value);
		},

		reset(content)
		{
			this.content = this.$el.value = content || '';
			this.propagateValue(this.content);
		}
	}
}