export default {
	props:
	{
		classes: {
			default: '',
			type: [Array, String]
		},
		lookup: {
			required: true,
			type: String
		},
		indicateRequired: {
			type: Boolean
		},
		noteLookup: {
			default: '',
			type: String
		},
		target: {
			type: String
		}
	},

	computed: {
		labelClasses()
		{
			let classes = ['cell', 'label', 'label-standard'];
			if (this.noteLookup)
			{
				classes.push(this.noteLookup);
			}
			return this.$utilities.arrays.combine(classes, this.classes);
		},

		labelInnerClasses()
		{
			return (this.noteLookup) ? 'content-icon icon-info-alt' : '';
		},

		tooltip()
		{
			return (this.noteLookup) ? this.$i18n.t('notes.' + this.noteLookup) : '';
		}
	},

	mounted()
	{
		$(this.$el).foundation();
	}
}