import Vue from 'vue';

// ############################################################
// ############################################################
// ############################################################
// ACCOUNTS

// accounts > show-account
const ShowAccount = ()=> import('./accounts/show-account/show-account.vue');
Vue.component('account-show', ShowAccount);

// accounts
const ShowAccounts = ()=> import('./accounts/show-accounts.vue');
Vue.component('accounts-show', ShowAccounts);

// ############################################################
// ############################################################
// ############################################################
// ACCORDIONS

// ############################################################
// ############################################################
// ############################################################
// ANIMATIONS

const BusyModal = ()=> import('./animations/modal-busy/modal-busy.vue');
Vue.component('modal-busy', BusyModal);

// containers > accordions > standard
const AccordionStandard = ()=> import('./containers/accordions/standard/accordion.vue');
Vue.component('accordion-standard', AccordionStandard);

// ############################################################
// ############################################################
// ############################################################
// ATTACHMENTS
const AttachmentPreview = ()=> import('./attachments/attachment-preview/attachment-preview.vue');
Vue.component('attachment-preview', AttachmentPreview);

// ############################################################
// ############################################################
// ############################################################
// AUTHENTICATION

// signin
const SignIn = ()=> import('./signin/signin.vue');
Vue.component('signin', SignIn);

// signup
const SignUp = ()=> import('./signup/signup.vue');
Vue.component('signup', SignUp);


// ############################################################
// ############################################################
// ############################################################
// BAN ADMINSTRATION

// channels > bans > channel-ban-admin
const BanAdministration = ()=> import('./channels/bans/channel-ban-admin/ban-admin.vue');
Vue.component('channel-ban-administration', BanAdministration);

// ############################################################
// ############################################################
// ############################################################
// DASHBOARD WIDGETS

// dashboard-widgets > on-boarding
const OnBoarding = ()=> import('./dashboard-widgets/on-boarding/on-boarding.vue');
Vue.component('dashboard-widget-on-boarding', OnBoarding);

// ############################################################
// ############################################################
// ############################################################
// CALLOUTS

// element-abstractions > callouts > standard
const StandardCallout = ()=> import('./element-abstractions/callouts/standard/standard-callout.vue');
Vue.component('callout-standard', StandardCallout);

// ############################################################
// ############################################################
// ############################################################
// CHANNELS

// content > author
const ContentAuthor = ()=> import('./content/author/author.vue');
Vue.component('content-author', ContentAuthor);

// content > discussion > channel-discussion
const ChannelContentDiscussion = ()=> import('./content/discussion/channel-discussion.vue');
Vue.component('channel-content-disussion', ChannelContentDiscussion);

// content > discussion > channel-discussion > discussion-item
const ChannelContentDiscussionItem = ()=> import('./content/discussion/discussion-item/discussion-item.vue');
Vue.component('channel-content-discussion-item', ChannelContentDiscussionItem);

// channels > channel-icon
const ChannelIcon = ()=> import('./channels/channel-icon/channel-icon.vue');
Vue.component('channel-icon', ChannelIcon);

// channels > delete-channel
const DeleteChannel = () => import('./channels/delete-channel/delete-channel.vue');
Vue.component('delete-channel-confirmation', DeleteChannel);

// channels > nav-toolbar
const ChannelNavToolbar = ()=> import('./channels/nav-toolbar/channel-nav-toolbar.vue');
Vue.component('channel-nav-toolbar', ChannelNavToolbar);

// channels > sidebar-list
const ChannelSidebarList = ()=> import('./channels/sidebar-list/channels-sidebar-list.vue');
Vue.component('channel-sidebar-list', ChannelSidebarList);

// channels > show-channel
const ShowChannel = ()=> import('./channels/show-channel/show-channel.vue');
Vue.component('channel-show', ShowChannel);

// channels > show-channels
const ShowChannels = ()=> import('./channels/show-channels.vue');
Vue.component('channels-show', ShowChannels);

// ############################################################
// ############################################################
// ############################################################
// CONTAINERS

// containers > load-user-data
const ContainerLoadUserData = ()=> import('./containers/load-user-data/load-user-data.vue');
Vue.component('load-user-data', ContainerLoadUserData);

// containers > modals > image
const ImageModal = ()=> import('./containers/modals/image/image.vue');
Vue.component('container-modal-image', ImageModal);

// containers > section-standard
const StandardSection = ()=> import('./containers/section-standard/section-standard.vue');
Vue.component('section-standard', StandardSection);

// ############################################################
// ############################################################
// ############################################################
// CONTENT HEADERS

// element-abstractions > content-headers > generic
const ContentHeaderGeneric = ()=> import('./element-abstractions/content-headers/generic/generic-header.vue');
Vue.component('content-header-generic', ContentHeaderGeneric);

// element-abstractions > content-headers > primary
const ContentHeaderPrimary = ()=> import('./element-abstractions/content-headers/primary/primary.vue');
Vue.component('content-header-primary', ContentHeaderPrimary);

// ############################################################
// ############################################################
// ############################################################
// BUTTONS

// containers > button-group > standard
const StandardButtonGroup = ()=> import('./containers/button-group/standard/standard-button-group.vue');
Vue.component('button-group-standard', StandardButtonGroup);

// element-abstractions > forms > buttons > search
// const SearchButton = ()=> import('./element-abstractions/forms/buttons/search-button/search-button.vue');
// Vue.component('button-search', SearchButton);

// element-abstractions > forms > buttons > standard
const StandardButton = ()=> import('./element-abstractions/forms/buttons/standard/standard-button.vue');
Vue.component('button-standard', StandardButton);

// ############################################################
// ############################################################
// ############################################################
// DEVICES

const Devices = ()=> import('./devices/devices.vue');
Vue.component('device-manager', Devices);

// ############################################################
// ############################################################
// ############################################################
// FORM INPUTS

// element-abstractions > complex-inputs > comments
const CommentInput = ()=> import('./element-abstractions/forms/complex-inputs/comments/comments.vue');
Vue.component('input-comment', CommentInput);

// element-abstractions > complex-input > editors > text-editor
const TextEditor = ()=> import('./element-abstractions/forms/complex-inputs/editors/text-editor/text-editor.vue');
Vue.component('text-editor', TextEditor);

// element-abstractions > complex-input > editors > text-editor > text-editor-renderer
const TextEditorRenderer = ()=> import('./element-abstractions/forms/complex-inputs/editors/text-editor/text-editor-renderer.vue');
Vue.component('text-editor-renderer', TextEditorRenderer);

// element-abstractions > complex-input > editors > text-editor > icon-widgets > emojis
const TextEditorWidgetEmojis = ()=> import('./element-abstractions/forms/complex-inputs/editors/text-editor/icon-widgets/emojis.vue');
Vue.component('text-editor-emojis', TextEditorWidgetEmojis);

// element-abstractions > complex-input > editors > text-editor > icon-widgets > help
const TextEditorWidgetHelp = ()=> import('./element-abstractions/forms/complex-inputs/editors/text-editor/icon-widgets/help.vue');
Vue.component('text-editor-help', TextEditorWidgetHelp);

// element-abstractions > complex-input > editors > text-editor > icon-widgets > images
const TextEditorWidgetImages = ()=> import('./element-abstractions/forms/complex-inputs/editors/text-editor/icon-widgets/images.vue');
Vue.component('text-editor-images', TextEditorWidgetImages);

// element-abstractions > complex-input > editors > text-editor > icon-widgets > links
const TextEditorWidgetLinks = ()=> import('./element-abstractions/forms/complex-inputs/editors/text-editor/icon-widgets/links.vue');
Vue.component('text-editor-links', TextEditorWidgetLinks);

// element-abstractions > complex-input > editors > text-editor wysiwyg
const TextEditorWysiwyg = ()=> import('./element-abstractions/forms/complex-inputs/editors/text-editor/text-editor-wysiwyg.vue');
Vue.component('text-editor-wysiwyg', TextEditorWysiwyg);

// element-abstractions > forms > input-elements > file > local-drag-drop
const DragDropFiles = ()=> import('./element-abstractions/forms/input-elements/file/local-drag-drop/local-drag-drop.vue');
Vue.component('input-file-drag-drop', DragDropFiles);

// element-abstractions > complex-inputs > invitations
const Invite = ()=> import('./element-abstractions/forms/complex-inputs/invitations/invitations.vue');
Vue.component('input-invite-interface', Invite);

// element-abstractions > complex-input > lists > simple
const SimpleList = ()=> import('./element-abstractions/forms/complex-inputs/lists/simple/simple-list.vue');
Vue.component('input-list-simple', SimpleList);

// element-abstractions > complex-input > search > hashed
const HashedSearch = ()=> import('./element-abstractions/forms/complex-inputs/search/hashed/hashed-search.vue');
Vue.component('search-hashed', HashedSearch);

// element-abstractions > complex-input > search > standard
const StandardSearch = ()=> import('./element-abstractions/forms/complex-inputs/search/standard/standard-search.vue');
Vue.component('search-standard', StandardSearch);

// element-abstractions > forms > inputs > checkbox > standard
const StandardCheckbox = ()=> import('./element-abstractions/forms/input-elements/checkbox/standard/standard-checkbox.vue');
Vue.component('checkbox-standard', StandardCheckbox);

// element-abstractions > forms > inputs > file > local
const LocalFile = ()=> import('./element-abstractions/forms/input-elements/file/local/local-file.vue');
Vue.component('input-file-local', LocalFile);

// element-abstractions > forms > inputs > file > local-icon
const LocalIconFile = ()=> import('./element-abstractions/forms/input-elements/file/local-icon/local-file-icon.vue');
Vue.component('input-file-local-icon', LocalIconFile);

// element-abstractions > forms > inputs > generated-icons > generatedr-icon-input
const GeneratedIconInput = ()=> import('./element-abstractions/forms/input-elements/generated-icons/generated-icon-input/generated-icon-input.vue');
Vue.component('input-generated-icon', GeneratedIconInput);

// element-abstractions > forms > inputs > generated-icons > generated-icon-preview
const GeneratedIconPreview = ()=> import('./element-abstractions/forms/input-elements/generated-icons/generated-icon-preview/generated-icon-preview.vue');
Vue.component('generated-icon-preview', GeneratedIconPreview);

// element-abstractions > forms > inputs > select > select-standard
const SelectInputStandard = ()=> import('./element-abstractions/forms/input-elements/select/standard/select-standard.vue');
Vue.component('input-select-standard', SelectInputStandard);

// element-abstractions > forms > inputs > text > password-with-generator
const PasswordWithGenerator = ()=> import('./element-abstractions/forms/input-elements/text/password-with-generator/password.vue');
Vue.component('input-password-generator', PasswordWithGenerator);

// element-abstractions > forms > inputs > text > standard
const StandardText = ()=> import('./element-abstractions/forms/input-elements/text/standard/standard-text.vue');
Vue.component('input-text-standard', StandardText);

// element-abstractions > forms > inputs > textarea > standard
const StandardTextArea = ()=> import('./element-abstractions/forms/input-elements/textarea/standard/textarea-standard.vue');
Vue.component('textarea-standard', StandardTextArea);

// ############################################################
// ############################################################
// ############################################################
// FORM LABELS

// element-abstractions > forms > labels > standard
const StandardLabel = ()=> import('./element-abstractions/forms/labels/standard/standard-label.vue');
Vue.component('label-standard', StandardLabel);

// element-abstractions > forms > labels > container
const ContainerLabel = ()=> import('./element-abstractions/forms/labels/container/container-label.vue');
Vue.component('label-container', ContainerLabel);

// ############################################################
// ############################################################
// ############################################################
// FORM CONTAINERS

// element-abstractions > forms > form-wizards > wizard-step
const WizardStep = ()=> import('./element-abstractions/forms/form-wizards/wizard-steps/wizard-step.vue');
Vue.component('form-wizard-step', WizardStep);

// element-abstractions > forms > rows > button
const ButtonRow = ()=> import('./element-abstractions/forms/rows/button/button-row.vue');
Vue.component('form-row-button', ButtonRow);

// element-abstractions > forms > rows > standard
const StandardForm = ()=> import('./element-abstractions/forms/rows/standard/standard-row.vue');
Vue.component('form-row-standard', StandardForm);

// ############################################################
// ############################################################
// ############################################################
// ICONS
const AvatarWithFallback = ()=> import('./icons/avatar-with-fallback/avatar-with-fallback.vue');
Vue.component('avatar-with-fallback', AvatarWithFallback);

const FileTypeIcons = ()=> import('./icons/file-types/file-type-icon.vue');
Vue.component('icon-file-type', FileTypeIcons);

const LoadingSpinner = ()=> import('./icons/spinner/spinner.vue');
Vue.component('icon-spinner', LoadingSpinner);

// ############################################################
// ############################################################
// ############################################################
// INFINITE SCROLLING
const InfiniteLoading = ()=> import('vue-infinite-loading');
Vue.component('infinite-loading', InfiniteLoading);

// ############################################################
// ############################################################
// ############################################################
// INVITATIONS
const ShowInvitation = ()=> import('./invitations/show-invitation/show-invitation.vue');
Vue.component('invitation-show', ShowInvitation);

const ShowInvitations = ()=> import('./invitations/show-invitations.vue');
Vue.component('invitations-show', ShowInvitations);

// ############################################################
// ############################################################
// ############################################################
// KNOCK ADMINSTRATION

// channels > knocks > channel-knock-admin
const ChannelKnockAdministration = ()=> import('./channels/knocks/channel-knock-admin/channel-knock-admin.vue');
Vue.component('channel-knock-admin', ChannelKnockAdministration);

// channels > knocks > channel-knock-admin > knock-list
const ChannelKnockAdministrationKnockList = ()=> import('./channels/knocks/channel-knock-admin/knock-list/knock-list.vue');
Vue.component('channel-knock-admin-knocks', ChannelKnockAdministrationKnockList);

// ############################################################
// ############################################################
// ############################################################
// MAIN
const MainContent = ()=> import('./main-content/main-content.vue');
Vue.component('main-content', MainContent);

// ############################################################
// ############################################################
// ############################################################
// MENUS

// element-abstractions > navs > standard
const StandardNav = ()=> import('./element-abstractions/navs/standard/standard-nav.vue');
Vue.component('nav-standard', StandardNav);

// page-partials > content > menus > dashboard
const ReturnToDashboard = ()=> import ('./page-partials/content/menus/dashboard/dashboard.vue');
Vue.component('return2dashboard', ReturnToDashboard);

// ############################################################
// ############################################################
// ############################################################
// PAGE COMMON
const PageCommonGlobalBroadcasts = ()=> import('./page-partials/common/global-broadcasts/global-broadcasts.vue');
Vue.component('page-partial-common-broadcasts', PageCommonGlobalBroadcasts);


// ############################################################
// ############################################################
// ############################################################
// PAGE PARTIALS

// page-partials > footers > dev
const PagePartialFooterDev = ()=> import('./page-partials/footers/dev/footer-dev.vue');
Vue.component('partial-footer-dev', PagePartialFooterDev);

// page-partials > footers > main
const PagePartialFooterMain = ()=> import('./page-partials/footers/main/footer-main.vue');
Vue.component('partial-footer-main', PagePartialFooterMain);

// page-partials > headers > main
const PagePartialHeaderMain = ()=> import('./page-partials/headers/main/header-main.vue');
Vue.component('partial-header-main', PagePartialHeaderMain);

// page-partials > markdown > markdown
const PargePartialsMarkdown = ()=> import('./page-partials/markdown/markdown.vue');
Vue.component('markdown', PargePartialsMarkdown);

// page-partials > markdown > markdown-parser
const PargePartialsMarkdownParser = ()=> import('./page-partials/markdown/markdown-parser.vue');
Vue.component('markdown-parser', PargePartialsMarkdownParser);

// ############################################################
// ############################################################
// ############################################################
// PUBLIC CHANNELS

// pages > dashboard > full-pages > search-channels
const SearchPublicChannels = ()=> import('./pages/dashboard/full-page/search-channels.vue');
Vue.component('search-public-channels', SearchPublicChannels);

// ############################################################
// ############################################################
// ############################################################
// USER SETTINGS

// user-settings > preferences
const UserPreferences = ()=> import('./user-settings/preferences/user-preferences.vue');
Vue.component('user-preferences', UserPreferences);

// user-settings > profile
const UserProfile = ()=> import('./user-settings/profile/profile.vue');
Vue.component('user-profile', UserProfile);

// user-settings > settings-container
const UserSettingsContainer = ()=> import('./user-settings/settings-container/settings-container.vue');
Vue.component('user-settings-container', UserSettingsContainer);

// ############################################################
// ############################################################
// ############################################################
// WIDGETS

// password generator
const PasswordGenerator = ()=> import('./password-generator/password-generator.vue');
Vue.component('password-generator', PasswordGenerator);