const About = () => import('./pages/about/about.vue');
const CompleteRegistration = ()=> import('./pages/complete-registration/complete-registration.vue');
const CreateAccount = ()=> import('./pages/accounts/create-account/create-account.vue');
const ChannelDetail = ()=> import('./pages/channels/detail/channel-detail.vue');
const ChannelInvitations = ()=> import('./pages/invitations/channels/channel-invitations.vue');
const ChannelKnockAdministration = ()=> import('./pages/knocks/knocks.vue');
const ChannelMembers = ()=> import('./pages/channels/members/channel-members.vue');
const Contact = ()=> import('./pages/contact/contact.vue');
const CreateChannel = ()=> import('./pages/channels/create/create-channel.vue');
const Dashboard = ()=> import('./pages/dashboard/dashboard.vue');
const DashboardAccounts = ()=> import('./pages/dashboard/full-page/accounts.vue');
const DashboardChannels = ()=> import('./pages/dashboard/full-page/channels.vue');
const DashboardKnocks = ()=> import('./pages/dashboard/full-page/knocks.vue');
const DashboardInvitations = ()=> import('./pages/dashboard/full-page/invitations.vue');
const DashboardMyDevices = ()=> import('./pages/dashboard/full-page/devices.vue');
const DashboardMyPreferences = ()=> import('./pages/dashboard/full-page/preferences.vue');
const DashboardMyProfile = ()=> import('./pages/dashboard/full-page/profile.vue');
const DashboardOnboarding = ()=> import('./pages/dashboard/full-page/onboarding.vue');
const DashboardProfile = ()=> import('./pages/dashboard/full-page/profile.vue');
const DeviceConfirmation = ()=> import('./pages/confirm-device/confirm-device.vue');
const HomePage = ()=> import('./pages/home/home.vue');
const Main = ()=> import('./pages/main/main.vue');
const OnBoarding = () => import('./pages/onboarding/onboarding.vue');
const PrivacyPolicy = ()=> import('./pages/privacy-policy/privacy-policy.vue');
const Settings = ()=> import('./pages/settings/settings.vue');
const SignIn = ()=> import('./pages/signin/signin.vue');
const SignOut = ()=> import('./pages/signout/signout.vue');
const SignUp = ()=> import('./pages/signup/signup.vue');
const SignUpConfirmEmail = ()=> import('./pages/signup/confirm-email/confirm-email.vue');
const TermsOfUse = ()=> import('./pages/terms-use/terms-use.vue');
const UnknownDevice = ()=> import('./pages/unknown-device/unknown-device.vue');

// DEV PAGES
const DevOnly = ()=> import('./pages/_dev_/_dev_.vue');
const EmojisReview = ()=> import('./pages/_emojis_/_emojis_.vue');

const routeBuilder = function (translations)
{
	return [
		{name: 'about', path: translations.about, component: About},
		{name: 'channelDetail', path: translations.channelDetail, props: true, component: ChannelDetail},
		{name: 'channelInvitations', path: translations.channelInvitations, props: true, component: ChannelInvitations},
		{name: 'channelKnockAdministration', path: translations.channelKnockAdministration, component: ChannelKnockAdministration},
		{name: 'channelMembers', path: translations.channelMembers, props: true, component: ChannelMembers},
		{name: 'completeRegistration', path: translations.completeRegistration, props: true, component: CompleteRegistration},
		{name: 'contact', path: translations.contact, component: Contact},
		{name: 'createAccount', path: translations.createAccount, component: CreateAccount},
		{name: 'createChannel', path: translations.createChannel, props: true, component: CreateChannel},
		{name: 'dashboard', path: translations.dashboard, component: Dashboard},
		{name: 'dashboardAccounts', path: translations.dashboardAccounts, component: DashboardAccounts},
		{name: 'dashboardChannels', path: translations.dashboardChannels, component: DashboardChannels},
		{name: 'dashboardInvitations', path: translations.dashboardInvitations, component: DashboardInvitations},
		{name: 'dashboardKnocks', path: translations.dashboardKnocks, component: DashboardKnocks},
		{name: 'dashboardMyDevices', path: translations.dashboardMyDevices, component: DashboardMyDevices},
		{name: 'dashboardMyPreferences', path: translations.dashboardMyPreferences, component: DashboardMyPreferences},
		{name: 'dashboardMyProfile', path: translations.dashboardMyProfile, component: DashboardMyProfile},
		{name: 'dashboardOnboarding', path: translations.dashboardOnboarding, component: DashboardOnboarding},
		{name: 'deviceConfirmation', path: translations.confirmDevice, props: true, component: DeviceConfirmation},
		{name: 'home', path: '/', component: HomePage},
		{name: 'mainChannel', path: translations.mainChannel, props: true, component: Main},
		{name: 'onBoarding', path: translations.onBoarding, component: OnBoarding},
		{name: 'privacy', path: translations.privacy, component: PrivacyPolicy},
		{name: 'settings', path: translations.settings, component: Settings},
		{name: 'signIn', path: translations.signIn, component: SignIn},
		{name: 'signOut', path: translations.signOut, component: SignOut},
		{name: 'signUp', path: translations.signUp, component: SignUp},
		{name: 'signUpConfirmEmail', path: translations.signUpConfirmEmail, props: true, component: SignUpConfirmEmail},
		{name: 'termsOfUse', path: translations.termsOfUse, component: TermsOfUse},
		{name: 'unknownDevice', path: translations.unknownDevice, component: UnknownDevice},

		{name: 'devOnly', path: '/_dev_', component: DevOnly},
		{name: 'devEmojis', path: '/_emojis_', component: EmojisReview}
	];
}

export default routeBuilder